package com.bonus.canteen.core.notice.print.v2.vo;

import cn.hutool.core.util.ObjectUtil;
import com.bonus.common.houqin.i18n.I18n;
import io.swagger.annotations.ApiModelProperty;

public class NoticePrintTemplateSettingVO {
   @ApiModelProperty("模版id")
   private Long templateId;
   @ApiModelProperty("设置id")
   private Long settingId;
   @ApiModelProperty("字段id")
   private Long columnId;
   @ApiModelProperty("打印机类型（1:小票，2:标签）")
   private Integer deviceType;
   @ApiModelProperty("字段分组（1:标题栏，2:菜品信息栏，3:商品信息栏，4:基本信息栏，5:按菜品，6:按订单）")
   private Integer columnGroup;
   @ApiModelProperty("字段名称")
   private String columnName;
   @ApiModelProperty("字段值")
   private String columnValue;
   @ApiModelProperty("字段示例")
   private String columnSample;
   @ApiModelProperty("字段示例说明")
   private String columnSampleI18n;
   @ApiModelProperty("字段类型（1:text,2:qr,3:array）")
   private Integer columnType;
   @ApiModelProperty("x轴坐标")
   private Integer settingX;
   @ApiModelProperty("y轴坐标")
   private Integer settingY;
   @ApiModelProperty("文字宽度放大倍率1-10")
   private Integer settingW;
   @ApiModelProperty("文字高度放大倍率1-10")
   private Integer settingH;
   @ApiModelProperty("字段类型（1:动态，2:固定）")
   private Integer settingType;
   @ApiModelProperty("固定内容值")
   private String settingValue;
   @ApiModelProperty("字段排序")
   private Integer sort;
   @ApiModelProperty("是否加粗")
   private Integer ifBold;

   public String getColumnSampleI18n() {
      return ObjectUtil.isNotEmpty(this.columnSample) ? I18n.getMessage(this.columnSample, new Object[0]) : this.columnSampleI18n;
   }

   public Long getTemplateId() {
      return this.templateId;
   }

   public Long getSettingId() {
      return this.settingId;
   }

   public Long getColumnId() {
      return this.columnId;
   }

   public Integer getDeviceType() {
      return this.deviceType;
   }

   public Integer getColumnGroup() {
      return this.columnGroup;
   }

   public String getColumnName() {
      return this.columnName;
   }

   public String getColumnValue() {
      return this.columnValue;
   }

   public String getColumnSample() {
      return this.columnSample;
   }

   public Integer getColumnType() {
      return this.columnType;
   }

   public Integer getSettingX() {
      return this.settingX;
   }

   public Integer getSettingY() {
      return this.settingY;
   }

   public Integer getSettingW() {
      return this.settingW;
   }

   public Integer getSettingH() {
      return this.settingH;
   }

   public Integer getSettingType() {
      return this.settingType;
   }

   public String getSettingValue() {
      return this.settingValue;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getIfBold() {
      return this.ifBold;
   }

   public void setTemplateId(final Long templateId) {
      this.templateId = templateId;
   }

   public void setSettingId(final Long settingId) {
      this.settingId = settingId;
   }

   public void setColumnId(final Long columnId) {
      this.columnId = columnId;
   }

   public void setDeviceType(final Integer deviceType) {
      this.deviceType = deviceType;
   }

   public void setColumnGroup(final Integer columnGroup) {
      this.columnGroup = columnGroup;
   }

   public void setColumnName(final String columnName) {
      this.columnName = columnName;
   }

   public void setColumnValue(final String columnValue) {
      this.columnValue = columnValue;
   }

   public void setColumnSample(final String columnSample) {
      this.columnSample = columnSample;
   }

   public void setColumnSampleI18n(final String columnSampleI18n) {
      this.columnSampleI18n = columnSampleI18n;
   }

   public void setColumnType(final Integer columnType) {
      this.columnType = columnType;
   }

   public void setSettingX(final Integer settingX) {
      this.settingX = settingX;
   }

   public void setSettingY(final Integer settingY) {
      this.settingY = settingY;
   }

   public void setSettingW(final Integer settingW) {
      this.settingW = settingW;
   }

   public void setSettingH(final Integer settingH) {
      this.settingH = settingH;
   }

   public void setSettingType(final Integer settingType) {
      this.settingType = settingType;
   }

   public void setSettingValue(final String settingValue) {
      this.settingValue = settingValue;
   }

   public void setSort(final Integer sort) {
      this.sort = sort;
   }

   public void setIfBold(final Integer ifBold) {
      this.ifBold = ifBold;
   }

}
